
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JBuilder2005实战JSP之程序功能介绍(1) / iVAN</title>

    <meta name="description" content="JBuilder2005实战JSP之程序功能介绍(1) js|程序 用户登录模块程序的结构图如下图所示: 图 1 实例页面流转图 用户在登录页面中录入密码.验证正确后转向欢迎主页面,如果输入的密码错误,导向登录失败页面.这个模块包含6个JSP文件.3个Java类及两张后台表. 6个JSP文件分别为用户登录.页面流转控制.错误处理.登录成功和失败.以及退出系统的处理页面,简单介绍如下: 表 1 JSP文件 JSP页面 说明 login.jsp 登录JSP页面 switch.jsp 进行密码验证和页面流转控制的JSP页面. error.jsp 错误处理J">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JBuilder2005实战JSP之程序功能介绍(1)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>js|程序</p>
<p>用户登录模块程序的结构图如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzIxMjIxMzIzMTA0LmdpZg==.jpg"><br />图 1 实例页面流转图<br />　　 用户在登录页面中录入密码、验证正确后转向欢迎主页面，如果输入的密码错误，导向登录失败页面。这个模块包含6个JSP文件、3个Java类及两张后台表。</p>
<p>　　 6个JSP文件分别为用户登录、页面流转控制、错误处理、登录成功和失败、以及退出系统的处理页面，简单介绍如下：</p>
<p>　　 表 1 JSP文件</p>
<table>
<tr>
<td>JSP页面</td>
<td>说明</td>
</tr>
<tr>
<td>login.jsp</td>
<td>登录JSP页面</td>
</tr>
<tr>
<td>switch.jsp </td>
<td>进行密码验证和页面流转控制的JSP页面。</td>
</tr>
<tr>
<td>error.jsp</td>
<td>错误处理JSP页面，以一种友好的方式向客户报告程序的错误。为其他所有JSP页面的错误处理页面。</td>
</tr>
<tr>
<td>welcome.jsp</td>
<td>登录成功后转向的欢迎页面。我们在该页面中引用了一套第三方的标签库。</td>
</tr>
<tr>
<td>fail.jsp</td>
<td>登录失败后转向这个错误处理页面。</td>
</tr>
<tr>
<td>quit.jsp </td>
<td>退出系统后调用的页面，它负责清除session，结束会话。</td>
</tr>
</table>
<p>　　JSP文件主要负责页面的展现，而业务逻辑或资源处理等功能可以放到Java类中，表单数据则可以通过Bean来封装，模块中提供了3个类，介绍如下：</p>
<p>　　表 2 3个Java类</p>
<table>
<tr>
<td>类 </td>
<td>说明</td>
</tr>
<tr>
<td>DBConnection</td>
<td>获取数据库的连接。</td>
</tr>
<tr>
<td>User </td>
<td>描述用户对象并负责写登录、退出日志。</td>
</tr>
<tr>
<td>UserList </td>
<td>获取系统的所有用户并转换为一个网页下拉框。</td>
</tr>
</table>
<p>　　用户信息及用户登录信息用数据库表来存放，选择Oracle 9i作为我们的数据库，当然，你也可以使用其他类型的数据库，只要相应地调整DBConnection类和表SQL定义语句就可以了，这种移植的代价是很小的，下面介绍这两张表的用途和结构：</p>
<p>　　表 3 2张数据库表</p>
<table>
<tr>
<td>表名</td>
<td>说明</td>
</tr>
<tr>
<td>T_USER </td>
<td>用户信息表，包含用户ID、用户名及密码3个字段。</td>
</tr>
<tr>
<td>T_LOGIN_LOG</td>
<td>记录用户登录的时间和退出的时间，日志主键利用一个序列SEQ_LOGIN_LOG_ID产生。</td>
</tr>
</table>
<p>　　这两张数据库表和序列的结构如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzIxMjIxMzIzOTI3LmdpZg==.jpg"><br />图 2 数据表及序列<br />　　数据库用户名/密码是：jbuser/abc。在着手开发我们的登录模块前，必须先在数据库中创建用户，创建生成表和序列。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 21:45:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%94%99%e8%af%af/" title="错误">错误</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86/" title="处理">处理</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e7%99%bb%e5%bd%95/" title="登录">登录</a>, <a href="https://www.iamivan.net/tag/%e9%80%80%e5%87%ba%e7%99%bb%e5%bd%95/" title="退出登录">退出登录</a>, <a href="https://www.iamivan.net/tag/jsp%e7%99%bb%e5%bd%95%e9%a1%b5%e9%9d%a2/" title="jsp登录页面">jsp登录页面</a>, <a href="https://www.iamivan.net/tag/jsp%e7%94%a8%e6%88%b7%e7%99%bb%e5%bd%95/" title="JSP用户登录">JSP用户登录</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JBuilder2005实战JSP之程序功能介绍(1)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyXREb.html" rel="bookmark">JBuilder2005实战JSP之程序功能介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|程序 用户登录模块程序的结构图如下图所示: 图 1 实例页面流转图 用户在登录页面中录入密码.验证正确后转向欢迎主页面,如果输入的密码错误,导向登录失败页面.这个模块包含6个JSP文件.3个Java类及两张后台表. 6个JSP文件分别为用户登录.页面流转控制.错误处理.登录成功和失败.以及退出系统的处理页面,简单介绍如下: 表 1 JSP文件 JSP页面说明login.jsp登录JSP页面switch.jsp 进行密码验证和页面流转控制的JSP页面.error.jsp错误处理JSP页面,以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOd9ab.html" rel="bookmark">JBuilder2005实战JSP之程序功能介绍&lpar;6&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JBuilder 用户登录模块程序的结构图如下图所示: 图 1 实例页面流转图 用户在登录页面中录入密码.验证正确后转向欢迎主页面,如果输入的密码错误,导向登录失败页面.这个模块包含6个JSP文件.3个Java类及两张后台表. 6个JSP文件分别为用户登录.页面流转控制.错误处理.登录成功和失败.以及退出系统的处理页面,简单介绍如下: 表 1 JSP文件 JSP页面 说明 login.jsp 登录JSP页面 switch.jsp 进行密码验证和页面流转控制的JSP页面. error.jsp 错误			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLd8ap.html" rel="bookmark">JBuilder2005实战JSP之日志和部署&lpar;7&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js   用户登录和退出日志 当用户登录系统时,在日志表中插入一条记录,记录用户登录的时间,在用户退出系统时记录用户退出系统的时间. 我们利用HttpSessionBindingListener接口来完成记录登录和退出日志的功能,该接口中定义了两个方法: ·valueBound(HttpSessionBindingEvent event) ·valueUnbound(HttpSessionBindingEvent event) 如果一个类实现了HttpSessionBindingListener			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDKJWp.html" rel="bookmark">JBuilder2005实战JSP之特殊页面&lpar;5&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|页面   欢迎页面welcome.jsp 当用户录入正确的密码后,switch.jsp控制JSP页面导向welcome.jsp欢迎页面,在这节里,我们来开发这个welcome.jsp页面.因为welcome.jsp需要使用到一个第三方的标签库,所以在开发welcome.jsp之前需要在JBuilder中作一些配置引入这个标签库. 将第三方标签库配置到JBuilder中 Apache开源组织提供了许多有用标签库,欢迎页面welcome.jsp需要使用一个来源于Apache的datetime标			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr49mz.html" rel="bookmark">JBuilder2005实战JSP之日志和部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js 用户登录和退出日志 当用户登录系统时,在日志表中插入一条记录,记录用户登录的时间,在用户退出系统时记录用户退出系统的时间. 我们利用HttpSessionBindingListener接口来完成记录登录和退出日志的功能,该接口中定义了两个方法: ·valueBound(HttpSessionBindingEvent event) ·valueUnbound(HttpSessionBindingEvent event) 如果一个类实现了HttpSessionBindingListener接口			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boGVDb.html" rel="bookmark">JBuilder2005实战JSP之特殊页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|页面 欢迎页面welcome.jsp 当用户录入正确的密码后,switch.jsp控制JSP页面导向welcome.jsp欢迎页面,在这节里,我们来开发这个welcome.jsp页面.因为welcome.jsp需要使用到一个第三方的标签库,所以在开发welcome.jsp之前需要在JBuilder中作一些配置引入这个标签库. 将第三方标签库配置到JBuilder中 Apache开源组织提供了许多有用标签库,欢迎页面welcome.jsp需要使用一个来源于Apache的datetime标签库			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9A04M.html" rel="bookmark">JBuilder2005实战JSP之登录页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|页面 通过File-&gt;New...-&gt;Web-&gt;双击JSP图标,弹出创建JSP向导的对话框,如下图所示: 图 3 通过向导创建login.jsp ·Web module:如果一个工程下有多个Web模块,你可以通过这儿指定JSP所要加入到的Web模块,因为我们的工程中只有一个webModule,所以是向导将默认设置为webModule. ·Name :键入JSP文件名,你可以键入.jsp后缀,也可以不写后缀,直接键入login就可以了. Generate sample bean选项勾			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1N6PKp.html" rel="bookmark">JBuilder2005实战JSP之登录页面实现代码&lbrack;图&rsqb;&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过File-&gt;New...-&gt;Web-&gt;双击JSP图标,弹出创建JSP向导的对话框,如下图所示: 图 3 通过向导创建login.jsp ·Web module:如果一个工程下有多个Web模块,你可以通过这儿指定JSP所要加入到的Web模块,因为我们的工程中只有一个webModule,所以是向导将默认设置为webModule. ·Name :键入JSP文件名,你可以键入.jsp后缀,也可以不写后缀,直接键入login就可以了. Generate sample bean选项勾选后JBui			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3XW7M.html" rel="bookmark">JBuilder2005实战JSP之错误处理&lpar;4&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|错误|错误处理  错误处理页面error.jsp Web应用程序一般都有一个或多个统一的错误处理JSP页面,以便在功能性的JSP页面发生错误时,能以一种友好的形式向用户反馈.友好而统一的错误页面是Web展现层一个无可忽略的方面. 下面,我们创建错误处理error.jsp文件,其代码如下所示: 代码清单 11 error.jsp错误处理JSP页面 1. &lt;%@page contentType=&quot;text/html; charset=GBK&quot; isErrorPage=&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZBj5z.html" rel="bookmark" class="title">Photoshop制作清新的潮流人像海报</a>
					<div>
						  Photoshop制作清新的潮流人像海报        效果图设计非常巧妙,画面以几何图形为主,搭配的非常自然,图形中局部加入了人像,再通过渲染颜色,整体看上去非常清新大气. 最终效果 1.你一定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN02oz.html" rel="bookmark" class="title">js 获取子节点&colon;Js获取所有文本节点</a>
					<div>
						&lt;script type=&quot;text/javascript&quot;&gt;var contents = &quot;&quot;;function extractDocument( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRWaYz.html" rel="bookmark" class="title">vc层叠式窗体控件指南</a>
					<div>
						介绍 从零开发自定义控件常常是不需要的,因为标准控件组是相当全面的,如果不够用,子类化或自绘等方法就可以搞掂这个工作.这是一个不应被忽略的要点.在从零开发一个自定义控件时,千辛万苦获得的控件往往会不如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxq9Kb.html" rel="bookmark" class="title">PHP借助phpmailer发送邮件</a>
					<div>
						  phpmailer是一款免费的php邮件发送插件,我们可以利用phpmailer登录到我们指定的邮件然后再利用这个邮件给我们自动发邮件了,这个现在免费的邮箱像163,sina都支持,好了费话不说多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7owxM.html" rel="bookmark" class="title">双显卡怎么切换，使用NVIDIA OPTIMUS进行双显卡切换</a>
					<div>
						如何使用NVIDIA OPTIMUS技术进行双显卡切换? 解决方案 NVIDIA的optimus技术,不需要用户自己干预,系统会自动判断当前任务,然后选择显卡执行任务. 注意: 1.NVIDIA的op ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGq8ap.html" rel="bookmark" class="title">Win 7让U盘加密更简单</a>
					<div>
						  如今的U盘等移动存储器比起几年前来真是白菜价,一个4GU盘也就只是几十块钱,许多用户都习惯带着一个U盘作为家里及公司之间的文件中转站,但是这个小小的U盘却很容易丢失,有道是存储器有价而数据无价,U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z721Adp.html" rel="bookmark" class="title">win7系统下怎么设置雪花飘落的屏保&quest;</a>
					<div>
						  雪花飘落屏保,漫天的雪花飘落于桌面上,让我们的电脑桌面成为一幅雪的美丽画卷.那么win7系统下怎么设置雪花飘落的屏保?下面小编就为大家详细介绍一下,一起来看看吧! 方法/步骤 1.百度搜索&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr10Zp.html" rel="bookmark" class="title">双显卡切换有什么好处？怎么切换</a>
					<div>
						  其实这都无关紧要的,就像汽车的车灯能挑远光和近光一样.根据不同的需求,独立显卡性能好,但是发热量和功耗惊人使用电池的时候就非常不好了,集成显卡,就目前的技术来说已经非常不错了,性能能满足基本需求, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7B43b.html" rel="bookmark" class="title">U盘复制文件致电脑重启的原因</a>
					<div>
						  你有没有遇到过用U盘复制文件的时候电脑总是重启,但是U盘拔掉之后就不会了,用杀毒软件也没用,重做系统也没用,到底是哪里出了问题呢? 其实这样问题并不多见,不过首先要百分之百确认U盘里没有病毒或者木 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGJlwb.html" rel="bookmark" class="title">《Spring技术内幕》&mdash;&mdash;1&period;2节Spring的设计目标</a>
					<div>
						1.2 Spring的设计目标 如果我们要简要地描述Spring的设计目标,可以这么说,Spring为开发者提供的是一个一站式的轻量级应用开发框架(平台).作为平台,Spring抽象了我们在许多应用开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN778Pp.html" rel="bookmark" class="title">javascript-css类名语义化，相对的设计理论是谁在推崇？</a>
					<div>
						问题描述 css类名语义化,相对的设计理论是谁在推崇? bootstrap的css类名,是语义化风格国内有一些关于是否应该语义化的争论我想问,反对语义化,而支持写成.font16 .red这种类名的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamv82b.html" rel="bookmark" class="title">c语言问题 新手求解-free链表节点就会出现触发断点的错误</a>
					<div>
						问题描述 free链表节点就会出现触发断点的错误 #include #include #include #include typedef struct Pcb { char name[10]; str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32xywz.html" rel="bookmark" class="title">特斯拉中国聘原高德CMO金俊 负责营销推广</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 网易科技讯 9月13日消息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA712p.html" rel="bookmark" class="title">关于应用程序安装旧版本的问题</a>
					<div>
						问题描述 关于应用程序安装旧版本的问题 由于android不支持降级安装,现在由于需求需要安装旧版本,所以只能提示用户卸载当前程序,再下载旧版本程序,沿着这个思路大家有什么想法呢? 解决方案 linu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKOQDb.html" rel="bookmark" class="title">云计算时代的NAS厂商如何调整自己</a>
					<div>
						消费级NAS的应用场景其实非常多,在公司办公室,在家里,当有了存储大量的文档视频,照片,或者共享文件的需求时,许多人都选择买一台NAS,但是随着云计算普及,宽带带宽的提升,许多人开始把文件存储在云端, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKnejb.html" rel="bookmark" class="title">javascript-有没有Material Design Lite中文版的网站或者视频教程</a>
					<div>
						问题描述 有没有Material Design Lite中文版的网站或者视频教程 看到网站上大多数都是Material Design的中文翻译或者视频,没有找到Material Design Lite ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmgqxM.html" rel="bookmark" class="title">CIO们从云中学到的那些经验教训</a>
					<div>
						企业迁移到云的过程可能充满了各种风险和意外的陷阱,但许多公司已然打算要冒这个险,因为云计算承诺给企业带来的包括提升灵活性和可扩展性.以及降低成本等方面的好处.而那些已然成功地渡过了这一风险的企业高管们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmZ3Vb.html" rel="bookmark" class="title">百度 加速乐安全加速平台目前已支持采用比特币进行支付</a>
					<div>
						百度 加速乐( jiasule.baidu.com )页面显示,这一网站安全加速平台目前已支持采用比特币进行支付,但需要用户另行与客服联系. 百度加速乐是由百度和北京知道创宇信息技术有限公司联合推出的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYwy5p.html" rel="bookmark" class="title">根据一个数组中重复的元素，取出对应数组中元素</a>
					<div>
						问题描述 近来遇到了点问题,请教大家下,希望给个答案,谢谢.需求(根据一个数组中重复的元素,取出对应数组中元素):有两个对应的数组:A={1,2,3,4,5},A1={a,b,a,b,c}根据数组A1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBmD3z.html" rel="bookmark" class="title">c语言-字符串中如何截取空格直接的内容</a>
					<div>
						问题描述 字符串中如何截取空格直接的内容 str=&quot;600601.SH 20160428 143317 4.45 4.45 4.47 4.33 5500 4.38 20507339 4.9  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBXk3z.html" rel="bookmark" class="title">代码-已实现js拖拽一张图片，怎么实现多图片拖拽就出错？</a>
					<div>
						问题描述 已实现js拖拽一张图片,怎么实现多图片拖拽就出错? &lt;!doctype html&gt; drag //会出错 var dragImg = document.getElementByI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0g94p.html" rel="bookmark" class="title">jdk的安装版和zip什么区别？为什么现在官网没有zip版的了？</a>
					<div>
						问题描述 jdk的安装版和zip什么区别?为什么现在官网没有zip版的了? 问题补充:beneo 写道 解决方案 如果你只是需要运行编译好的程序,那么只需要jre1.5.0_22就够用了解决方案二:直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEQyBz.html" rel="bookmark" class="title">把excel表格里的数据导入sql数据库的两种方法&lowbar;MsSql</a>
					<div>
						本来最近在研究微信公众平台的,老大临时交我个任务,把excel表格里的数据导入sql数据库,我想这so easy嘛. 没想都在上面消磨了两天... 把情况介绍下:在数据库中有如下这样结构的表(A表)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK90WM.html" rel="bookmark" class="title">Centos 6&sol; 7下通过yum安装php7环境</a>
					<div>
						2015年12月初PHP7正式版发布,迎来自2004年以来最大的版本更新.PHP7最显著的变化就是性能的极大提升,已接近Facebook开发的PHP执行引擎HHVM.在WordPress基准性能测试中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NAL5p.html" rel="bookmark" class="title">php自动获取字符串编码函数mb&lowbar;detect&lowbar;encoding&lowbar;php技巧</a>
					<div>
						当在php中使用mb_detect_encoding函数进行编码识别时,很多人都碰到过识别编码有误的问题,例如对与GB2312和UTF- 8,或者UTF-8和GBK(这里主要是对于cp936的判断), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ21yBz.html" rel="bookmark" class="title">如何网上赚钱--关键是把握正确方法&lowbar;网站运营</a>
					<div>
						必备条件和注意事项 1.你要在Internet上有一个属于自己的主页,如果你没有快去friendpages申请一个30M免费空间, 免费一级域名.免费留言簿,免费个性化聊天室的个人主页吧 2.你只要选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN3xrp.html" rel="bookmark" class="title">2016年安全身份识别主流趋势</a>
					<div>
						安全身份识别解决方案商HID Global通过从不同行业市场的重要客户那里所获得的深刻洞察,以及公司最新解决方案在前瞻性合作伙伴和全球各地的终端用户中进行的试点项目与正式部署情况,确定了2016年最值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QBwWp.html" rel="bookmark" class="title">土豆自制网剧投资追平电视台</a>
					<div>
						商报讯(记者 罗添)日前,土豆网正式发布了其&quot;橙色盒子(Orange Box)自制剧计划.土豆网将率先从单纯的视频内容平台供应商转型成为 &quot;平台提供商+内容出品方&quot;的双重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Jljb.html" rel="bookmark" class="title">JAVA中内部类的特点？</a>
					<div>
						问题描述 JAVA中内部类的特点具体有些什么大侠们能不能写点具体的代码体现下呀 解决方案 解决方案二:这个不是一句话说的清的,建议看看&lt;Java编程思想&gt;,里面有很详尽的见解解决方案三:内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44v88z.html" rel="bookmark" class="title">春运的抢票软件</a>
					<div>
						1天点击15.1亿次!1小时最高售30万张票!1秒钟最高售255张票!进入春运购票的高峰.这是铁路12306购票网站15日的点击.出票流量的数据.&quot;现在开始发售2月4日火车票,最近这几天,1 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
